config/routes.rb
Rails.application.routes.draw do

root 'home#main'


get 'about', to: 'home#about'

get 'contact', to: 'home#contact'


end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/tracked_item.rb
class TrackedItem < ApplicationRecord
	self.primary_key = 'item_id'
	has_many :tracked_prices, dependent: :destroy
end

app/models/tracked_price.rb
class TrackedPrice < ApplicationRecord
	belongs_to :tracked_item
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/home_controller.rb
class HomeController < ApplicationController

  def main

  end

  def about

  end

end

app/helpers/application_helper.rb
module ApplicationHelper
  def active_class(link_path)
    current_page?(link_path) ? "active" : ""
  end

end

app/views/home/about.html.erb
<body>
  <section>
    <p>Current version: 0.1.1.  </p>
  </section>

</body>
</html>

app/views/home/contact.html.erb
<div class="contact-box">
    <div class="contact-link">
        <a href="https://twitter.com/tavernsavepoint" target= "_blank">
            <%= image_tag("Twitter icon.png", style: 'margin-top: 30px;') %>
        </a>
    </div>
    <div class="contact-link">
        <a href="https://www.facebook.com/tavernsavepoint/" target= "_blank">
            <%= image_tag("facebook icon.png", style: 'margin-top: 30px;') %>
        </a>
    </div>
    <div class="contact-link">
        <a href="https://www.youtube.com/channel/UCb2oXfiSeWS4IMbGbnm57hw?view_as=subscriber" target= "_blank">
            <%= image_tag("youtube icon.png", style: 'margin-top: 30px;') %>
        </a>
    </div>
  <%= stylesheet_link_tag    'contact', media: 'all', 'data-turbolinks-track': 'reload' %>
</div>

app/views/home/main.html.erb
<section>
  <article>
    <button class="search-button"> search </button>
    <form>
      <input type="text" name="search"
    </form>

    <!-- <p>Results will show here. </p> -->
<h2> Results </h2>
<table style= "width:75%">
  <tr>
    <th>Item Name</th>
    <th>Buy Price</th>
    <th>Sell Price</th>
  </tr>
  <tr>
    <td>Domination Statis Webifier</td>
    <td>83,003,208ISK</td>
    <td>101,010,101ISK</td>
  </article>
</section>

app/views/layouts/_navigation.html.erb
<div class="topnav">
    <%= link_to 'Home', root_path %>
    <a href="#news">News</a>
    <%= link_to 'Contact', contact_path %>
    <%= link_to 'About', about_path %>
</div>    

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
    <title> Trend-Watch </title>
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

</head>
<body>
  <%= render "layouts/navigation" %>
    <div class="branding-bar">
        <div class="branding-logo"><%= image_tag("market.png") %></div>
        <div class="branding-name"><h2> TrendWatch </h2></div>
    </div>
    <div class="marquee">
        <marquee direction="left" scrollamount="3" behavior="scroll" style="height: 50px; color: #ffffff; font-size: 36px; background-color: #003399;">Veldspar - Buy:300ISK/Sell:250ISK</marquee>
    </div>
    <div class="yield">
        <%= yield %>
    </div>
    </body>
</html>